﻿/*http://cssdeck.com/labs/css3-animated-flip-toggle*/ 
.flipswitch {
    position: relative;
    width: 86px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

    .flipswitch input[type=checkbox] {
        display: none;
    }

.flipswitch-label {
    display: block;
    overflow: hidden;
    cursor: pointer;
    border: 2px solid #999999;
    border-radius: 50px;
}

.flipswitch-inner {
    width: 200%;
    margin-left: -100%;
    -webkit-transition: margin 0.3s ease-in 0s;
    -moz-transition: margin 0.3s ease-in 0s;
    -ms-transition: margin 0.3s ease-in 0s;
    -o-transition: margin 0.3s ease-in 0s;
    transition: margin 0.3s ease-in 0s;
}

    .flipswitch-inner:before, .flipswitch-inner:after {
        float: left;
        width: 50%;
        height: 25px;
        padding: 0;
        line-height: 25px;
        font-size: 18px;
        color: white;
        font-family: Trebuchet, Arial, sans-serif;
        font-weight: bold;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
    }

    .flipswitch-inner:before {
        content: "Yes";
        padding-left: 12px;
        background-color: #256799;
        color: #FFFFFF;
    }

    .flipswitch-inner:after {
        content: "No";
        padding-right: 12px;
        background-color: #EBEBEB;
        color: #888888;
        text-align: right;
    }

.flipswitch-switch {
    width: 38px;
    margin: -6.5px;
    background: #FFFFFF;
    border: 2px solid #999999;
    border-radius: 50px;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 58px;
    -webkit-transition: all 0.3s ease-in 0s;
    -moz-transition: all 0.3s ease-in 0s;
    -ms-transition: all 0.3s ease-in 0s;
    -o-transition: all 0.3s ease-in 0s;
    transition: all 0.3s ease-in 0s;
}

.flipswitch-cb:checked + .flipswitch-label .flipswitch-inner {
    margin-left: 0;
}

.flipswitch-cb:checked + .flipswitch-label .flipswitch-switch {
    right: 0;
}
